apiVersion: batch/v1
kind: Job
metadata:
  name: "await-admission-webhook"
  annotations:
    "helm.sh/hook": post-install,post-upgrade
spec:
  template:
    spec:
      restartPolicy: OnFailure
      containers:
        - name: healthzcheck
          image: "curlimages/curl:8.11.0@sha256:83a505ba2ba62f208ed6e410c268b7b9aa48f0f7b403c8108b9773b44199dbba"
          args:
            - --max-time
            - "5"
            - --silent
            - --insecure
            - https://k8ssandra-operator-webhook-service/
      initContainers:
        - name: pre-healthzcheck
          image: "curlimages/curl:8.11.0@sha256:83a505ba2ba62f208ed6e410c268b7b9aa48f0f7b403c8108b9773b44199dbba"
          args:
            - --max-time
            - "5"
            - --silent
            - --insecure
            - https://k8ssandra-operator-webhook-service/
        - name: delay
          image: alpine:3.20@sha256:1e42bbe2508154c9126d48c2b8a75420c3544343bf86fd041fb7527e017a4b4a
          command:
            - sleep
            - "15"
